## gotk export

Export resources in YAML format

### Synopsis

The export sub-commands export resources in YAML format.

### Options

```
      --all    select all resources
  -h, --help   help for export
```

### Options inherited from parent commands

```
      --kubeconfig string   path to the kubeconfig file (default "~/.kube/config")
      --namespace string    the namespace scope for this operation (default "gitops-system")
      --timeout duration    timeout for this operation (default 5m0s)
      --verbose             print generated objects
```

### SEE ALSO

* [gotk](gotk.md)	 - Command line utility for assembling Kubernetes CD pipelines
* [gotk export helmrelease](gotk_export_helmrelease.md)	 - Export HelmRelease resources in YAML format
* [gotk export kustomization](gotk_export_kustomization.md)	 - Export Kustomization resources in YAML format
* [gotk export source](gotk_export_source.md)	 - Export sources

